using System;
using System.Runtime.Serialization;    


namespace S7.Net
{
    public class WrongNumberOfBytesException : Exception
    {
        public WrongNumberOfBytesException() : base()
        {
        }

        public WrongNumberOfBytesException(string message) : base(message)
        {
        }

        public WrongNumberOfBytesException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected WrongNumberOfBytesException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }

    public class InvalidAddressException : Exception
    {
        public InvalidAddressException() : base ()
        {
        }

        public InvalidAddressException(string message) : base(message)
        {
        }

        public InvalidAddressException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected InvalidAddressException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }

    public class InvalidVariableTypeException : Exception
    {
        public InvalidVariableTypeException() : base()
        {
        }

        public InvalidVariableTypeException(string message) : base(message)
        {
        }

        public InvalidVariableTypeException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected InvalidVariableTypeException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }

    public class TPKTInvalidException : Exception
    {
        public TPKTInvalidException() : base()
        {
        }

        public TPKTInvalidException(string message) : base(message)
        {
        }

        public TPKTInvalidException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected TPKTInvalidException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }

    public class TPDUInvalidException : Exception
    {
        public TPDUInvalidException() : base()
        {
        }

        public TPDUInvalidException(string message) : base(message)
        {
        }

        public TPDUInvalidException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected TPDUInvalidException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}
